Skip to content

Update Lead Field

POST /rest/v1/leads/schema/fields/{fieldApiName}.json

Permissions Read-Write Schema Standard FieldRead-Write Schema Custom Field

Build a request and mock the response

Method: POST
Path: /rest/v1/leads/schema/fields/{fieldApiName}.json
Tag: Leads
Operation ID: updateLeadFieldUsingPOST

Update metadata for a lead field in the target instance. See update rules here. Required Permissions: Read-Write Schema Standard Field, Read-Write Schema Custom Field

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
fieldApiName string Yes The API name of lead field

Request body

Name: updateLeadFieldRequest
Required: Yes
Schema: model: UpdateLeadFieldRequest

updateLeadFieldRequest

Generated example

{
  "input": [
    {
      "displayName": "Example name",
      "description": "string",
      "isHidden": false,
      "isHtmlEncodingInEmail": false,
      "isSensitive": false
    }
  ]
}

Referenced models

Example request

POST {{base_url}}/rest/v1/leads/schema/fields/{{fieldApiName}}.json
Content-Type: application/json
Accept: application/json

{
  "input": [
    {
      "displayName": "Example name",
      "description": "string",
      "isHidden": false,
      "isHtmlEncodingInEmail": false,
      "isSensitive": false
    }
  ]
}

Responses

200 — OK

Schema: model: ResponseOfUpdateLeadField

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "name": "Example name",
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.